Android-Sicherheitsbulletin – September 2020

Veröffentlicht am 08.09.2020 | Aktualisiert am 10. September 2020

Das Android Security Bulletin enthält Details zu Sicherheitslücken, die Android-Geräte betreffen. Sicherheitspatch-Level vom 05.09.2020 oder höher beheben all diese Probleme. Informationen zum Überprüfen des Sicherheitspatch-Levels eines Geräts finden Sie unter Überprüfen und Aktualisieren Ihrer Android-Version .

Android-Partner werden mindestens einen Monat vor der Veröffentlichung über alle Probleme informiert. Quellcode-Patches für diese Probleme wurden im Android Open Source Project (AOSP)-Repository veröffentlicht und von diesem Bulletin verlinkt. Dieses Bulletin enthält auch Links zu Patches außerhalb von AOSP.

Das schwerwiegendste dieser Probleme ist eine kritische Sicherheitslücke in der Media Framework-Komponente, die es einem entfernten Angreifer ermöglichen könnte, mithilfe einer speziell gestalteten Datei beliebigen Code im Kontext eines privilegierten Prozesses auszuführen. Die Bewertung des Schweregrads basiert auf den Auswirkungen, die das Ausnutzen der Schwachstelle möglicherweise auf einem betroffenen Gerät haben würde, vorausgesetzt, die Plattform- und Dienstminderungen werden zu Entwicklungszwecken deaktiviert oder erfolgreich umgangen.

Weitere Informationen zu den Schutzmechanismen der Android-Sicherheitsplattform und Google Play Protect, die die Sicherheit der Android-Plattform verbessern, finden Sie im Abschnitt „Abwehrmaßnahmen für Android und Google Play Protect “.

Minderungen für Android- und Google-Dienste

Dies ist eine Zusammenfassung der Schutzmaßnahmen, die von der Android-Sicherheitsplattform und von Dienstschutzmaßnahmen wie Google Play Protect bereitgestellt werden. Diese Fähigkeiten verringern die Wahrscheinlichkeit, dass Sicherheitslücken auf Android erfolgreich ausgenutzt werden könnten.

  • Die Nutzung für viele Probleme auf Android wird durch Verbesserungen in neueren Versionen der Android-Plattform erschwert. Wir empfehlen allen Benutzern, nach Möglichkeit auf die neueste Version von Android zu aktualisieren.
  • Das Android-Sicherheitsteam überwacht Google Play Protect aktiv auf Missbrauch und warnt Benutzer vor potenziell schädlichen Anwendungen . Google Play Protect ist standardmäßig auf Geräten mit Google Mobile Services aktiviert und ist besonders wichtig für Benutzer, die Apps von außerhalb von Google Play installieren.

2020-09-01 Sicherheits-Patch-Level-Schwachstellendetails

In den folgenden Abschnitten stellen wir Details zu allen Sicherheitslücken bereit, die für das Patch-Level vom 01.09.2020 gelten. Schwachstellen werden unter der betroffenen Komponente gruppiert. Es gibt eine Beschreibung des Problems und eine Tabelle mit CVE, zugehörigen Referenzen, Art der Schwachstelle , Schweregrad und aktualisierten AOSP-Versionen (falls zutreffend). Wenn verfügbar, verknüpfen wir die öffentliche Änderung, die das Problem behoben hat, mit der Fehler-ID, z. B. der AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Referenzen mit Nummern nach der Fehler-ID verknüpft.

Rahmen

Die schwerwiegendste Schwachstelle in diesem Abschnitt könnte es einer lokalen bösartigen Anwendung ermöglichen, Benutzerinteraktionsanforderungen zu umgehen, um Zugriff auf zusätzliche Berechtigungen zu erhalten.

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2020-0074 A-146204120 [ 2 ] EoP Hoch 8.0, 8.1, 9, 10
CVE-2020-0388
A-156123285 EoP Hoch 10
CVE-2020-0391
A-158570769 EoP Hoch 9, 10
CVE-2020-0401
A-150857253 EoP Hoch 8.0, 8.1, 9, 10
CVE-2020-0382
A-152944488 [ 2 ] ICH WÜRDE Hoch 10
CVE-2020-0389
A-156959408 ICH WÜRDE Hoch 10
CVE-2020-0390
A-157598026 ICH WÜRDE Hoch 10
CVE-2020-0395
A-154124307 [ 2 ] ICH WÜRDE Hoch 8.0, 8.1, 9, 10
CVE-2020-0397
A-155092443 [ 2 ] ICH WÜRDE Hoch 8.0, 8.1, 9, 10
CVE-2020-0399
A-153993591 [ 2 ] [ 3 ] ICH WÜRDE Hoch 8.0, 8.1, 9, 10

Medienrahmen

Die schwerwiegendste Sicherheitsanfälligkeit in diesem Abschnitt könnte es einem entfernten Angreifer ermöglichen, mithilfe einer speziell gestalteten Datei beliebigen Code im Kontext eines privilegierten Prozesses auszuführen.

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2020-0245
A-152496149 ICH WÜRDE Hoch 10
RCE Kritisch 8.0, 8.1, 9
CVE-2020-0392
A-150226608 EoP Hoch 9, 10
CVE-2020-0381
A-150159669 ICH WÜRDE Hoch 8.0, 8.1, 9, 10
CVE-2020-0383
A-150160279 ICH WÜRDE Hoch 8.0, 8.1, 9, 10
CVE-2020-0384
A-150159906 ICH WÜRDE Hoch 8.0, 8.1, 9, 10
CVE-2020-0385
A-150160041 ICH WÜRDE Hoch 8.0, 8.1, 9, 10
CVE-2020-0393
A-154123412 ICH WÜRDE Hoch 9, 10

System

Die schwerwiegendste Schwachstelle in diesem Abschnitt könnte es einem entfernten Angreifer ermöglichen, mithilfe einer speziell gestalteten Übertragung beliebigen Code im Kontext eines privilegierten Prozesses auszuführen.

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2020-0380
A-146398979 RCE Kritisch 8.0, 8.1, 9, 10
CVE-2020-0396
A-155094269 [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ 7 ] [ 8 ] [ 9 ] ICH WÜRDE Kritisch 8.0, 8.1, 9, 10
CVE-2020-0386
A-155650356 EoP Hoch 8.0, 8.1, 9, 10
CVE-2020-0394
A-155648639 EoP Hoch 8.0, 8.1, 9, 10
CVE-2020-0379
A-150156492 ICH WÜRDE Hoch 8.0, 8.1, 9, 10

Google Play-Systemaktualisierungen

Die folgenden Probleme sind in Project Mainline-Komponenten enthalten.

Komponente CVE
Medien-Codecs CVE-2020-0245
Media Framework-Komponenten CVE-2020-0383

2020-09-05 Sicherheits-Patch-Level-Schwachstellendetails

In den folgenden Abschnitten stellen wir Details zu allen Sicherheitslücken bereit, die für das Patch-Level vom 05.09.2020 gelten. Schwachstellen werden unter der betroffenen Komponente gruppiert und enthalten Details wie CVE, zugehörige Referenzen, Art der Schwachstelle , Schweregrad , Komponente (falls zutreffend) und aktualisierte AOSP-Versionen (falls zutreffend). Wenn verfügbar, verknüpfen wir die öffentliche Änderung, die das Problem behoben hat, mit der Fehler-ID, z. B. der AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Referenzen mit Nummern nach der Fehler-ID verknüpft.

Kernel

Die schwerwiegendste Schwachstelle in diesem Abschnitt könnte es einem lokalen Angreifer ermöglichen, mithilfe einer speziell gestalteten Datei beliebigen Code im Kontext eines privilegierten Prozesses auszuführen.

CVE Verweise Typ Schwere Komponente
CVE-2019-19769
A-150693748
Upstream-Kernel [ 2 ]
EoP Hoch Speichersubsystem
CVE-2020-0404
A-111893654
Upstream-Kernel
EoP Hoch USB stick
CVE-2020-0407
A-153450752 * ICH WÜRDE Hoch F2FS

MediaTek-Komponenten

Diese Schwachstellen betreffen MediaTek-Komponenten und weitere Details sind direkt von MediaTek erhältlich. Die Bewertung des Schweregrads dieser Probleme wird direkt von MediaTek bereitgestellt.

CVE Verweise Schwere Komponente
CVE-2020-0123
A-149871374
DTV02098055 *
Hoch Soundtreiber von Android TV
CVE-2020-0229
A-156333725
ALPS05023182 *
Hoch mdla
CVE-2020-0278
A-160812574
ALPS05132252 *
Hoch ATF
CVE-2020-0342
A-160812576
ALPS05132765 *
Hoch ATF

Qualcomm-Komponenten

Diese Schwachstellen betreffen Qualcomm-Komponenten und werden im entsprechenden Qualcomm-Sicherheitsbulletin oder Sicherheitshinweis näher beschrieben. Die Bewertung des Schweregrads dieser Probleme wird direkt von Qualcomm bereitgestellt.

CVE Verweise Schwere Komponente
CVE-2019-10527
A-147102899
QC-CR#2421611
QC-CR#2421602 [ 2 ]
QC-CR#2419153 *
Hoch Kernel
CVE-2019-14117
A-147104886
QC-CR#2525999
Hoch Kernel
CVE-2020-3613
A-148816706
QC-CR#2239987
Hoch Kernel
CVE-2020-3656
A-157905780
QC-CR#2580967
Hoch Kernel
CVE-2020-11124
A-157906588
QC-CR#2611487
Hoch Kernel

Closed-Source-Komponenten von Qualcomm

Diese Schwachstellen betreffen Qualcomm-Closed-Source-Komponenten und werden im entsprechenden Qualcomm-Sicherheitsbulletin oder Sicherheitshinweis näher beschrieben. Die Bewertung des Schweregrads dieser Probleme wird direkt von Qualcomm bereitgestellt.

CVE Verweise Schwere Komponente
CVE-2019-10628
A-147102780 * Kritisch Closed-Source-Komponente
CVE-2019-10629
A-147101658 * Kritisch Closed-Source-Komponente
CVE-2019-13994
A-147104051 * Kritisch Closed-Source-Komponente
CVE-2020-3621
A-148816726 * Kritisch Closed-Source-Komponente
CVE-2020-3634
A-150695049 * Kritisch Closed-Source-Komponente
CVE-2019-10596
A-147104369 * Hoch Closed-Source-Komponente
CVE-2019-13992
A-147102898 * Hoch Closed-Source-Komponente
CVE-2019-13995
A-147104253 * Hoch Closed-Source-Komponente
CVE-2019-14074
A-145546792 * Hoch Closed-Source-Komponente
CVE-2020-3617
A-150697774 * Hoch Closed-Source-Komponente
CVE-2020-3620
A-148817068 * Hoch Closed-Source-Komponente
CVE-2020-3622
A-148817285 * Hoch Closed-Source-Komponente
CVE-2020-3629
A-148816991 * Hoch Closed-Source-Komponente
CVE-2020-3671
A-148529608 * Hoch Closed-Source-Komponente
CVE-2020-11129
A-157905420 * Hoch Closed-Source-Komponente
CVE-2020-11133
A-157905987 * Hoch Closed-Source-Komponente
CVE-2020-11135
A-157906313 * Hoch Closed-Source-Komponente

Häufige Fragen und Antworten

In diesem Abschnitt werden allgemeine Fragen beantwortet, die nach dem Lesen dieses Bulletins auftreten können.

1. Wie kann ich feststellen, ob mein Gerät aktualisiert wurde, um diese Probleme zu beheben?

Informationen zum Überprüfen des Sicherheitspatch-Levels eines Geräts finden Sie unter Überprüfen und Aktualisieren Ihrer Android-Version .

  • Sicherheitspatch-Level vom 1. September 2020 oder höher beheben alle Probleme im Zusammenhang mit dem Sicherheitspatch-Level 2020-09-01.
  • Sicherheits-Patch-Levels vom 05.09.2020 oder höher beheben alle Probleme im Zusammenhang mit dem Sicherheits-Patch-Level vom 05.09.2020 und allen vorherigen Patch-Levels.

Gerätehersteller, die diese Updates enthalten, sollten die Patch-String-Ebene auf Folgendes festlegen:

  • [ro.build.version.security_patch]:[2020-09-01]
  • [ro.build.version.security_patch]:[2020-09-05]

Für einige Geräte mit Android 10 oder höher enthält das Google Play-Systemupdate eine Datumszeichenfolge, die dem Sicherheitspatch vom 01.09.2020 entspricht. Weitere Informationen zum Installieren von Sicherheitsupdates finden Sie in diesem Artikel .

2. Warum enthält dieses Bulletin zwei Sicherheits-Patch-Stufen?

Dieses Bulletin enthält zwei Sicherheits-Patch-Stufen, sodass Android-Partner die Flexibilität haben, eine Teilmenge von Schwachstellen, die auf allen Android-Geräten ähnlich sind, schneller zu beheben. Android-Partner werden ermutigt, alle Probleme in diesem Bulletin zu beheben und das neueste Sicherheitspatch-Level zu verwenden.

  • Geräte, die das Sicherheitspatch-Level 2020-09-01 verwenden, müssen alle Probleme enthalten, die mit diesem Sicherheitspatch-Level verbunden sind, sowie Korrekturen für alle Probleme, die in früheren Sicherheitsbulletins gemeldet wurden.
  • Geräte, die die Sicherheitspatch-Ebene vom 05.09.2020 oder höher verwenden, müssen alle anwendbaren Patches in diesem (und früheren) Sicherheitsbulletins enthalten.

Partner werden ermutigt, die Korrekturen für alle Probleme, die sie beheben, in einem einzigen Update zu bündeln.

3. Was bedeuten die Einträge in der Spalte Typ ?

Einträge in der Spalte Typ der Tabelle mit den Schwachstellendetails verweisen auf die Klassifizierung der Sicherheitslücke.

Abkürzung Definition
RCE Remote-Code-Ausführung
EoP Erhöhung des Privilegs
ICH WÜRDE Offenlegung von Informationen
DOS Denial of Service
N / A Klassifizierung nicht verfügbar

4. Was bedeuten die Einträge in der Spalte Referenzen ?

Einträge in der Spalte „ Referenzen “ der Tabelle mit den Schwachstellendetails können ein Präfix enthalten, das die Organisation angibt, zu der der Referenzwert gehört.

Präfix Bezug
EIN- Android-Fehler-ID
QC- Qualcomm-Referenznummer
M- MediaTek-Referenznummer
N- NVIDIA-Referenznummer
B- Broadcom-Referenznummer

5. Was bedeutet ein * neben der Android-Fehler-ID in der Spalte „ Referenzen “?

Probleme, die nicht öffentlich verfügbar sind, haben ein * neben der Android-Fehler-ID in der Spalte „ Referenzen “. Das Update für dieses Problem ist im Allgemeinen in den neuesten binären Treibern für Pixel-Geräte enthalten, die auf der Google Developer-Website verfügbar sind.

6. Warum werden Sicherheitslücken zwischen diesem Bulletin und Sicherheitsbulletins für Geräte/Partner, wie dem Pixel-Bulletin, aufgeteilt?

Sicherheitslücken, die in diesem Sicherheitsbulletin dokumentiert sind, sind erforderlich, um die neueste Sicherheitspatchebene auf Android-Geräten zu deklarieren. Zusätzliche Sicherheitslücken, die in den Security Bulletins der Geräte / Partner dokumentiert sind, sind für die Deklaration eines Sicherheits-Patch-Levels nicht erforderlich. Hersteller von Android-Geräten und -Chipsätzen können auch Details zu Sicherheitslücken veröffentlichen, die für ihre Produkte spezifisch sind, wie Google , Huawei , LGE , Motorola , Nokia oder Samsung .

Versionen

Ausführung Datum Anmerkungen
1.0 08.09.2020 Mitteilung veröffentlicht
1.1 10.09.2020 Bulletin überarbeitet, um AOSP-Links aufzunehmen